.a-content-with-label {
  position: relative;
  height: 16rem;

  &[data-exist='true'] {
    label {
      top: 0;
      left: 1.2rem;

      color: #6868ac;
      font-size: 1.2rem;
      font-weight: 600;
    }
  }

  &[data-style='true'] {
    div[contenteditable='true'],
    div[contenteditable='false'] {
      padding-bottom: 3rem;
    }
  }

  div[contenteditable='true'],
  div[contenteditable='false'] {
    >input {
      &.input-example {
        border-bottom: 1px solid #67ab8d;
        color: #67ab8d;
        font-style: italic;
        background: #00000001;
        font-family: 'arial-r';
        font-weight: bold;
        font-size: 1.5rem;
        max-width:unset;
        min-width: 70px;
        max-width: 500px !important;
        text-overflow: ellipsis
      }
    }
    width: 100%;
    height: 100%;
    padding: 1rem 1.2rem;

    background: #fff;
    border-radius: 0.8rem;
    border: 0.1rem solid #d5dee8;

    font-family: 'inter';
    font-size: 1.4rem;
    line-height: 2rem;

    transition: border 0.25s;
    white-space: pre-wrap;

    overflow-y: scroll;
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none; /* Internet Explorer 10+ */
    pointer-events: all;

    &::-webkit-scrollbar {
      /* WebKit */
      width: 0;
      height: 0;
    }

    &:focus {
      border-color: #6868ac;

      & ~ label {
        top: 0;
        left: 1.2rem;

        color: #6868ac;
        font-size: 1.2rem;
        font-weight: 600;
      }
    }

    input {
      width: 70px;
      height: 18px;
      border: 0;
      border-bottom: 1px solid #309fc4;
      text-align: center;
      letter-spacing: 0;
      pointer-events: all;
      cursor: pointer;
      &:disabled {
        cursor: pointer;
      }
    }
  }

  &.error {
    div[contenteditable='true'],
    div[contenteditable='false'] {
      border-color: #dd3a09;
    }
  }

  label {
    position: absolute;
    top: 2rem;
    left: 0.1rem;

    padding: 0 1.2rem;

    font-size: 1.4rem;
    font-weight: 500;

    transform: translateY(-50%);

    transition: all 0.25s;

    pointer-events: none;

    &::before {
      position: absolute;
      bottom: 0;
      left: 0;
      z-index: 1;

      width: 100%;
      height: calc(50% + 0.025rem);

      background: #fff;

      content: '';
    }

    span {
      position: relative;
      z-index: 2;
    }
  }

  .hidden-text {
    position: absolute;
    visibility: hidden;
    pointer-events: none;
    letter-spacing: 0;
  }

  .style-action {
    position: absolute;
    bottom: 1.2rem;
    right: 0.8rem;
    display: flex;

    div {
      width: 1.6rem;
      height: 1.6rem;
      margin: 0 0.8rem;
      user-select: none;
      cursor: pointer;
    }

    .style-b {
      background-image: url(/images/icons/ic-bold.png);
      background-size: 100% 100%;
      &:hover {
        filter: saturate(20);
      }
    }

    .style-i {
      background-image: url(/images/icons/ic-italic.png);
      background-size: 100% 100%;
      &:hover {
        filter: saturate(20);
      }
    }

    .style-u {
      background-image: url(/images/icons/ic-underline.png);
      background-size: 100% 100%;
      &:hover {
        filter: saturate(20);
      }
    }
  }
  .input-example{
    width: auto;
    font-style: italic;
    font-weight: bold;
    max-width: 150px;
    min-width: 70px;
    padding-left: 5px;
    padding-right: 5px;
    border-bottom-color: #67ab8d;
    color: #67ab8d;
  }
}
